Skip to main content
POST
/
twitter
/
create_tweet_v2
Create tweet
curl --request POST \
  --url https://api.aisa.one/apis/v1/twitter/create_tweet_v2 \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "login_cookies": "<string>",
  "tweet_text": "<string>",
  "proxy": "<string>",
  "reply_to_tweet_id": "<string>",
  "attachment_url": "<string>",
  "community_id": "<string>",
  "is_note_tweet": true,
  "media_ids": [
    "<string>"
  ]
}
'
{
  "tweet_id": "<string>",
  "status": "<string>",
  "msg": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
login_cookies
string
required

The login cookies of the user.

tweet_text
string
required

The text of the tweet.

proxy
string
required

The proxy to use.

reply_to_tweet_id
string

The id of the tweet to reply to.

attachment_url
string

The url of quote tweet.

community_id
string

The id of the community to post to.

is_note_tweet
boolean

If this option is set to True, tweets longer than 280 characters can be posted.

media_ids
string[]

The ids of the media to post.

Response

200 - application/json

Successful tweet creation

tweet_id
string

The id of the created tweet.

status
string

Status of the request.

msg
string

Message of the request.